Get accounting period
curl --request GET \
--url https://api.zenskar.com/accounting_new/periods/{period_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/accounting_new/periods/{period_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/accounting_new/periods/{period_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"status": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period_name": "<string>",
"closed_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"role": "<string>",
"phone": "<string>",
"rbac_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totp": true,
"additional_permissions": [
"<unknown>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Accounting
Get accounting period
Fetch a single accounting period by ID.
GET
/
accounting_new
/
periods
/
{period_id}
Get accounting period
Authorizations
Path Parameters
Response
Successful Response
Response schema for an accounting period.
Includes the closing user's information so the caller doesn't have to fetch it separately.
Unique identifier
Organization ID
Period start date
Period end date
Period status
When the period was closed
User who closed the period
Record creation timestamp
Record update timestamp
Descriptive name
User who closed the period
Show child attributes
Show child attributes